#delimit ;

/* Sunk Cost dummies only */
global parnp_0 "";

/* Base Line */
* Note: ln_wdiff_`r2dg'${yrdiff}yrlg left out in favor of w_HOM. w_othr_HOM left out due to multicollinearity; 
global par_1 "w_HOM w_othr_CEE w_othr_DEV w_othr_OIN w_othr_WEU ln_inter ln_mktacc";
* Polynomial interaction terms for selection regression;
*  second-order polynomial: 35 terms (7 linear, 7 square, 21 = 6 + ... + 1 interactions);
*  third-order polynomial: 119 terms (7 linear, 7 square, 7 cubic, 21 + 56 interactions);
local selser1 = subinstr(subinstr("${par_1}","_othr","",.),"ln_","",.);
local selser2 ""; /* second-order terms */
local cnt 0;
foreach var of local selser1 {;
  local cnt = `cnt' + 1;
  tokenize `selser1';
  local selno : word count `selser1';
  forvalues i = `cnt'/`selno' {;
    local addtrm = subinstr("`var'_``i''","_w_","_",.);
    local selser2 "`selser2' `addtrm'";
    };
  };
local selser3 ""; /* third-order terms */
local cnt 0;
foreach var of local selser1 {;
  tokenize `selser2';
  local selno : word count `selser2';
  forvalues i = 1/`selno' {;
    if index("`selser1'",substr("`var'",-3,3)) >= index("`selser1'",substr("``i''",-3,3)) {;
      local addtrm = subinstr("``i''_`var'","_w_","_",.);
      local selser3 "`selser3' `addtrm'";
      };
    };
  };
* global selser "`selser2'";  /* use only second-order approximation in selection equation */
global selser "`selser2'`selser3'";  /* use third-order approximation in selection equation */
* disp "${selser}";
* local selno : word count ${selser};
* disp "`selno'";
global parnp_1 "${par_1} ${selser}";

/* Base Line + Parent Vars */
* global parnp_2 "iCE${yrdiff}yrlg_wCE iDE${yrdiff}yrlg_wDE iOI${yrdiff}yrlg_wOI iWE${yrdiff}yrlg_wWE ${parnp_1} ${addlmne} ln_employmt_par_${yrdiff}yrlg ln_caplabrat_par_${yrdiff}yrlg ln_liab_par_${yrdiff}yrlg";
global parnp_2 "iCE${yrdiff}yrlg_wCE iDE${yrdiff}yrlg_wDE iOI${yrdiff}yrlg_wOI iWE${yrdiff}yrlg_wWE ${parnp_1} ${addlmne} employmt_par_${yrdiff}yrlg fixdasst_par_${yrdiff}yrlg turnover_par_${yrdiff}yrlg intmed_par_${yrdiff}yrlg liab_par_${yrdiff}yrlg";

/* Base Line + More Location Vars */
/* Note: Only xvars 3 used for second stage */
global parnp_3 "${parnp_2} lh99_1_othr lh99_2_othr ln_dist_othr ln_cons_cap_othr";

/* Base Line + Sector Vars */
global parnp_4 "${parnp_3} ${addlsec}";

/* Base Line + Even More Parent Vars */
global parnp_5 "${parnp_4} ln_gdp_othr ln_gdp_cap_othr turnover_par_${yrdiff}yrlg k_othr_CEE k_othr_DEV k_othr_OIN k_othr_WEU l_othr_CEE l_othr_DEV l_othr_OIN l_othr_WEU t_othr_CEE t_othr_DEV t_othr_OIN t_othr_WEU";

global paruse "${parnp_${usexvar}}";
