#delimit ;

/* Sunk Cost dummies only */
global parnp_0 "";

/* Base Line */
* Note: ln_wdiff_`r2dg'96 left out in favor of w_HOM, and w_othr_HOM left out due to multicollinearity; 
*       wage information only in ${par_1} and ${parnp_1};
global par_1 "w_HOM w_othr_CEE w_othr_DEV w_othr_OIN w_othr_WEU ln_inter96 ln_mktacc_othr";
* Polynomial interaction terms for selection regression;
*  second-order polynomial: 35 terms (7 linear, 7 square, 21 = 6 + ... + 1 interactions);
*  third-order polynomial: 119 terms (7 linear, 7 square, 7 cubic, 21 + 56 interactions);
local selser1 = subinstr(subinstr("${par_1}","_othr","",.),"ln_","",.);
local selser2 ""; /* second-order terms */
local cnt 0;
foreach var of local selser1 {;
  local cnt = `cnt' + 1;
  tokenize `selser1';
  local selno : word count `selser1';
  forvalues i = `cnt'/`selno' {;
    local addtrm = subinstr("`var'_``i''","_w_","_",.);
    local selser2 "`selser2' `addtrm'";
    };
  };
local selser3 ""; /* third-order terms */
local cnt 0;
foreach var of local selser1 {;
  tokenize `selser2';
  local selno : word count `selser2';
  forvalues i = 1/`selno' {;
    if index("`selser1'",substr("`var'",-3,3)) >= index("`selser1'",substr("``i''",-3,3)) {;
      local addtrm = subinstr("``i''_`var'","_w_","_",.);
      local selser3 "`selser3' `addtrm'";
      };
    };
  };
* global selser "`selser2'";  /* use only second-order approximation in selection equation */
global selser "`selser2'`selser3'";  /* use third-order approximation in selection equation */
* disp "${selser}";
* local selno : word count ${selser};
* disp "`selno'";
global parnp_1 "${par_1} ${selser}";

/* Base Line + Parent Vars */
* global parnp_2 "iCE96_wCE iDE96_wDE iOI96_wOI iWE96_wWE ${parnp_1} ${addlmne} ln_employmt96 ln_caplabrat96 ln_liab96";
global parnp_2 "iCE96_wCE iDE96_wDE iOI96_wOI iWE96_wWE ${parnp_1} ${addlmne} employmt96 fixdasst96 turnover96 intmed96 liab96";

/* Base Line + More Location Vars */
/* Note: Only xvars 3 used for second stage */
global parnp_3 "${parnp_2} lh99_1_othr lh99_2_othr ln_dist_othr ln_cons_cap_othr";

global paruse "${parnp_${usexvar}}";
